(function() {

    "use strict";

    // レコード追加画面／編集画面表示、レコード一覧画面のインライン編集開始
    var eventsShow = [
        'app.record.create.show',
        'app.record.edit.show',
        'app.record.index.edit.show'
    ];
    kintone.events.on(eventsShow, function(event) {
        var record = event.record;
        if (('app.record.create.show').indexOf(event.type) >= 0) {
            // レコード追加画面または再利用画面が表示された時は空にする
            record['顧客ID']['value'] = "";
        }
        // 「顧客ID」フィールドを入力禁止
        record['顧客ID']['disabled'] = true;
        return event;
    });

    // レコード追加画面の保存実行前
    kintone.events.on('app.record.create.submit', function(event) {

        var record = event.record;

        // 顧客IDの初期値は11
        var customerId = 11;

        // 割り当て済みの顧客IDの最大値を取得
        var params = {
            'app': kintone.app.getId(),
            'query': 'order by 顧客ID desc limit 1',
            'fields': ['顧客ID']
        };
        kintone.api(kintone.api.url('/k/v1/records', true), 'GET', params, function(resp) {
            // 成功時
            if (resp.records.length) {
                // 割り当て済みの顧客があれば次の値を使用
                customerId = parseInt(resp.records[0]['顧客ID'].value, 10) + 1;
            } else {
                // 割り当て済みの顧客がなければ初期値を使用
                alert('初期値の顧客IDを使用します。');
            }
            record['顧客ID']['value'] = customerId;
        }, function() {
            // エラー時
            record['顧客ID'].error = '顧客IDが取得できません。';
        });
        return event;
    });
})();

